#define Uses_TDemoApp
#define Uses_TTitleDeskTop
#define Uses_TKeys
#define Uses_TMenuBar
#define Uses_TSubMenu
#define Uses_TMenuItem
#define Uses_TStatusLine
#define Uses_TStatusDef
#define Uses_TStatusItem
#define Uses_TEvent
#define Uses_TFileWindow
#include "main.h"

TDemoApp::TDemoApp() :
		TProgInit( &TDemoApp::initStatusLine,
				   &TDemoApp::initMenuBar,
				   &TDemoApp::initDeskTop )
	{
	}

TMenuBar *TDemoApp::initMenuBar( TRect r )
	{
	r.b.y = r.a.y+1;
	return new TMenuBar( r,
		*new TSubMenu( "~F~ile", 0 )+
			*new TMenuItem( "~O~pen", cmFileOpen, kbF3 ) );
	}

TStatusLine *TDemoApp::initStatusLine( TRect r )
	{
	r.a.y = r.b.y-1;
	return new TStatusLine( r,
		*new TStatusDef( 0, 0xFFFF )+
		*new TStatusItem( "~ALT-X~ Exit", kbAltX, cmQuit )+
		*new TStatusItem( "~F3~ Open", kbF3, cmFileOpen ) );
	}

TDeskTop *TDemoApp::initDeskTop( TRect r )
	{
	r.a.y++;
	r.b.y--;
	return new TTitleDeskTop(r);
	}

void TDemoApp::handleEvent( TEvent& event )
	{
	TApplication::handleEvent(event);

	if( event.what == evCommand &&
		event.message.command == cmFileOpen )
		{
		deskTop->insert( validView( new TFileWindow("READ.ME") ) );
		clearEvent(event);
		}
	}

